aboutsummaryrefslogtreecommitdiffstats
path: root/net-mgmt/satellite/pkg-install
diff options
context:
space:
mode:
authordinoex <dinoex@FreeBSD.org>2001-03-10 15:39:29 +0800
committerdinoex <dinoex@FreeBSD.org>2001-03-10 15:39:29 +0800
commit8fe1d1a3cf029397d8af6af7d7041ae29b146a28 (patch)
tree890d969ab3131b48059bc4a3be7bcbcf45846d36 /net-mgmt/satellite/pkg-install
parent4bae8838df71cbca9ceaab6e568a241bf15868dc (diff)
downloadfreebsd-ports-gnome-8fe1d1a3cf029397d8af6af7d7041ae29b146a28.tar.gz
freebsd-ports-gnome-8fe1d1a3cf029397d8af6af7d7041ae29b146a28.tar.zst
freebsd-ports-gnome-8fe1d1a3cf029397d8af6af7d7041ae29b146a28.zip
new port added
PR: 25406 Submitted by: mark@kyne.com.au
Diffstat (limited to 'net-mgmt/satellite/pkg-install')
-rw-r--r--net-mgmt/satellite/pkg-install38
1 files changed, 38 insertions, 0 deletions
diff --git a/net-mgmt/satellite/pkg-install b/net-mgmt/satellite/pkg-install
new file mode 100644
index 000000000000..7145c4db65da
--- /dev/null
+++ b/net-mgmt/satellite/pkg-install
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+[ "${PKG_PREFIX}" ] && PREFIX="${PKG_PREFIX}"
+[ "${PREFIX}" ] || PREFIX=/usr/local
+
+case "$2" in
+ PRE-INSTALL)
+ if ! pw user show satellite >/dev/null 2>&1
+ then
+ echo "===> Creating user satellite"
+ pw add user -n satellite -c 'Satellite system user' -s /sbin/nologin -h - -d /
+ fi
+ ;;
+ POST-INSTALL)
+ if [ ! -f "${PREFIX}/etc/satellite.db" ]
+ then
+ echo "===> Creating ${PREFIX}/etc/satellite.db configuration file"
+ ${PREFIX}/sbin/satcfg -L
+ chown satellite ${PREFIX}/etc/satellite.db
+ chmod 600 ${PREFIX}/etc/satellite.db
+ fi
+ if [ ! -f "/var/log/satellite" ]
+ then
+ echo "===> Creating initial log file /var/log/satellite"
+ touch /var/log/satellite
+ chown satellite /var/log/satellite
+ fi
+ echo "===> To run the satellited server you will need to change a few files."
+ echo "===> Please add the following line to /etc/services"
+ echo "satellite 1764/tcp"
+ echo "===> Please add the following line to /etc/inetd.conf and restart inetd"
+ echo "satellite stream tcp nowait satellite ${PREFIX}/sbin/satellited satellited -v"
+ ;;
+ *)
+ echo "Incorrect parameter"
+ exit 1
+ ;;
+esac